// testMySQL.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "testMySQL.h"
#include "inc32/openssl/ssl.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// The one and only application object

CWinApp theApp;

using namespace std;



void CreateTable(CString szTable)
{
	CDatabase Database;
	CString szDataSourceName = _T("DSN=ODBC_A;UID=root;PWD=pwd");

	BOOL bOpen = FALSE;
	TRY
	{
		bOpen = Database.OpenEx(szDataSourceName, CDatabase::noOdbcDialog);

	}
	CATCH(CDBException, e)
	{
		CString szErr;
		szErr.Format(_T("Error opening database (%s)"), e->m_strError);
		AfxMessageBox(szErr);
		return;
	}
	END_CATCH


		Database.SetQueryTimeout(5);
	Database.SetLoginTimeout(5);


	TRY
	{
		CString SQLDropTable = _T("DROP TABLE ");
		SQLDropTable += szTable;
		Database.ExecuteSQL(SQLDropTable);
	}
	CATCH(CDBException, e)
	{
	}
	END_CATCH

	CString SQLCreateTable;
	SQLCreateTable.Format(_T("CREATE TABLE %s (TimeCol datetime,MSecCol smallint,LocalCol datetime,UserCol varchar(255),EventCol varchar(24),EvNumCol smallint,EvDescCol varchar(255),DescCol varchar(255),CommCol varchar(255),DurCol integer,UniID integer,TraID integer)")
		, szTable);

	TRY
	{
		Database.ExecuteSQL(SQLCreateTable);

	}
	CATCH(CDBException, e)//COXSEHMemoryException, e)
	{
		CString szErr;
		szErr.Format(_T("Error opening database (%s)"), e->m_strError);
		AfxMessageBox(szErr);
		return;
	}
	END_CATCH
	


	//CString SQLCreateTableCLUSTERED;
	//SQLCreateTableCLUSTERED.Format(_T("CREATE CLUSTERED INDEX %s ON Alarms (TimeCol)"), szTable);
	//
	//SQLCreateTable.Format(_T("CREATE INDEX %s ON Alarms (TimeCol)"), szTable);
	//TRY
	//{
	//	Database.ExecuteSQL(SQLCreateTableCLUSTERED);
	//}
	//CATCH(CDBException, e)
	//{
	//	Database.ExecuteSQL(SQLCreateTable);
	//}
	//END_CATCH

	//SQLCreateTable.Format(_T("CREATE INDEX LocalCol ON %s (LocalCol)"), szTable);
	//Database.ExecuteSQL(SQLCreateTable);

	//SQLCreateTable.Format(_T("CREATE INDEX TraID ON %s (TraID)"), szTable);
	//Database.ExecuteSQL(SQLCreateTable);

	if(bOpen)
		Database.Close();
}


int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		_tprintf(_T("Fatal Error: MFC initialization failed\n"));
		nRetCode = 1;
	}
	else
	{
		CreateTable(_T("Alarms"));
		CreateTable(_T("Drivers"));
		CreateTable(_T("Systems"));
	}

	return nRetCode;
}

void init()
{
	OpenSSL_add_ssl_algorithms();
}